@font-face {
    font-family: 'BiznZhiDai';
    src: url(fonts/BianZhiDai-base.woff) format(woff),
         url(fonts/BianZhiDai-base.otf) format(opentype);
    font-weight: normal;
}

@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100;0,9..40,200;0,9..40,300;0,9..40,400;0,9..40,500;0,9..40,600;0,9..40,700;0,9..40,800;0,9..40,900;0,9..40,1000;1,9..40,100;1,9..40,200;1,9..40,300;1,9..40,400;1,9..40,500;1,9..40,600;1,9..40,700;1,9..40,800;1,9..40,900;1,9..40,1000&display=swap');

/* variables */
:root {
    --title-font : 'BiznZhiDai' ;
    --main-font : 'DM Sans', sans-serif;
    --gris1 : rgb(229, 229, 229); 
    --gris2 : rgb(120,120,120);
    --gris3 : rgb(70,70,70);
    --gris4 : rgb(30,30,30);


}

/*général*/ 
body {
    font-family: var(--main-font);
    display: flex;
    flex-direction: row;
    max-width: 100vw;
    max-height: 100vh;


}

#tags-g, #tags-d {
    width: auto;
    height: 94vh;
    width: 20%;
    overflow: scroll;
    
}

section {
    height: 94vh;
    overflow-y: scroll;
}
/*sections tags*/
h1 {
    font-family:  var(--title-font);
    font-size: 150%;
    font-weight: normal;
}

h2 {
    font-weight: normal;
}

.tags ul {

    height: 22vh;
    overflow-y: scroll;
    margin-bottom: 3vh;

}

.tags li {
    display: inline-block;


}

.highlight {

    background-color: var(--gris4);
    color: white;
}

button, .collec-item li, .tags a {
    border: solid black  1px;
    color: black;
    font-size: 11pt;
    text-decoration: none;
    border-radius: 5px;
    padding: 0.2em;
    margin-top: 0.5em;
    background-color: var(--gris1);
}
.tag-lists {
    padding: 1em;
}

/* section main content*/


section#main-content, section#presentation-content {
    width: 60%;
    height: 94vh;
    scroll-behavior: auto;
    overflow-y: scroll;

}



#main-content h2 {
    font-weight: 600;
}


/* collections*/

.collec-annee {
    background-color: var(--gris1);
    display: flex;
    flex-direction: row;
    padding-bottom: 2vh;
    padding-top: 2vh;
    overflow-x: scroll;


}

.collec-item {
    margin-left: 1vw;
    margin-right: 1vw;
    position: relative;
    color: black;

}

.collec-item article {
    /*opacity: 0;*/
    height: 14vh;
    background-color: white;
    position: absolute;
    bottom: 0;
    width: 14vw;
    padding: 0.5em;
    
}

.collec-item article:hover {
    opacity: 100;
    
    
}
.conteneur-img {
    width: 15vw; 
    height: 22.5vw;
    overflow : hidden;
    object-fit: cover;

    
}

img {
    height: 100%;
    width: auto;
}

.collec-item ul {
    display: flex;
    flex-direction: row;

}
.collec-item li {
    width:fit-content;
    margin-right: 0.5em;
}
/*footer*/

footer {
    height: 6vh;
    width: 100vw;
    position: fixed;
    bottom: 0;
    background-color: black;
    justify-content: space-around;
    display :flex;
}

footer a {
    line-height: 6vh;
    font-family: var(--title-font);
    color: white;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline solid 0.1em;
}

/* presentation */

#presentation-content {
    overflow-y: scroll;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

#presentation-content h1 {
    font-size: 500%;
}

#presentation-content p {
    width : 45%;
    padding: 1em;
    padding-top: 0;
    font-size: 14pt;
}
.galerie {
    margin-top: 5%;
    margin-bottom: 5%;

    display: flex;
    flex-direction: row;
}

.galerie img {
    margin-right: 5%;
    width: 90%;
    
}

.galerie-half {
    width: 50%;
    

}

.galerie-half img {
    width: 90%;
    margin: 5%;
    margin-top: 0;
}
.galerie img{

    width: 100%;
}
/* alumnis*/
#liste-alumnis {
    width: 20vw;
    text-align: left;
    overflow-y: scroll;

    
}

#liste-alumnis div {
    align-items: center;
    margin-left: auto;
    padding-bottom: 1em;
    padding-top: 1em;

}

#liste-alumnis ul, #liste-alumnis h1 {
    width: fit-content;
    

}

#liste-alumnis a {
    margin-bottom: 0.1em;
    display: list-item;
    text-decoration: none;
}

#liste-alumnis a:hover {
    text-decoration: underline solid 0.1em;

}

#liste-alumnis a:visited {
    color: black;
}
#liste-alumnis h1 {
    margin: auto;
}
#liste-alumnis ul {
    padding-left: 1.5em;
    text-align: left;
    margin-bottom: 1em;

}

#presentation-un-alumni {
    background-color: var(--gris1);
    width: 80vw;
    padding: 1em;
}

#presentation-un-alumni h1 {
    font-size: 500%;
    margin: 0;
}


#presentation-un-alumni p {
    width: 55em;
    margin-bottom: 1em;
}
#presentation-un-alumni a {
    text-decoration: none;
    color: black;
}

#presentation-un-alumni a:visited {

    color: black;
}

#presentation-un-alumni a:hover{
    text-decoration: underline solid 0.1em;

}

.socials {
    width: 100%;
    bottom: 7vh;
    position: absolute;
}